Issue 120194 - "Getting Support" has outdated content
"Getting Support" has outdated content
Status: RESOLVED FIXED
Product: documentation
Classification: Unclassified
Component: Online help
current
All All
: P3 normal (vote)
: AOO 4.0
Assigned To: Ariel Constenla-Haile
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-04 13:37 UTC by Ariel Constenla-Haile
Modified: 2013-05-26 19:52 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Ariel Constenla-Haile 2012-07-04 13:37:20 UTC
Menu "Help" - "Support" (if broken, type "support on the Web" on the Online Help index) opens the Online Help with page main/helpcontent2/source/text/shared/05/00000001.xhp containing the following outdated content:

Security
In case you are concerned about any security issue with using this software, you can contact the developers on the public mail list dev@openoffice.org. If you want to discuss any issue with other users, send an email to the public mail list discuss@openoffice.org.
Comment 1 Rob Weir 2012-07-04 14:15:03 UTC
I grepped the source tree for other suscpious references to openoffice.org email addresees (outside of comments).  A few others to look at:

main/reportdesign/qa/complex/reportdesign/ReportDesignerTest.java:289:            m_sMailAddress = sVCSID + "@openoffice.org";

main/helpcontent2/source/text/shared/05/00000001.xhp:54:         <paragraph xml-lang="en-US" id="par_id0804200803314235" role="paragraph" l10n="NEW">In case you are concerned about any security issue with using this software, you can contact the developers on the public mail list dev@openoffice.org. If you want to discuss any issue with other users, send an email to the public mail list discuss@openoffice.org.</paragraph>

main/readlicense_oo/docs/readme/readme.xrm:269:			<p id="support1" xml:lang="en-US">The main support page <a href="http://support.openoffice.org/">http://support.openoffice.org/</a> offers various possibilities for help with ${PRODUCTNAME}. Your question may have already been answered - check the Community Forum at <a href="http://user.services.openoffice.org">http://user.services.openoffice.org</a> or search the archives of the 'users@openoffice.org' mailing list at <a href="http://www.openoffice.org/mail_list.html">http://www.openoffice.org/

mail_list.html</a>. Alternatively, you can send in your questions to <a href="mailto:users@openoffice.org">users@openoffice.org</a>. How to subscribe to the list (to get an email response) is explained on this page: <a href="http://wiki.services.openoffice.org/wiki/Website/Content/help/mailinglists">http://wiki.services.openoffice.org/wiki/Website/Content/help/mailinglists</a>.</p>

main/sw/source/core/draw/dcontact.cxx:1896:        ASSERT( false, "<SwDrawContact::ConnectToLayout(..)> - master drawing object not inserted -> no connect to layout. Please inform od@openoffice.org" );


main/desktop/test/deployment/update/default_url/update/feed1.xml:30:    <email>updatefeed@openoffice.org</email>
main/desktop/test/deployment/update/updatefeed/update/feed1.xml:30:    <email>updatefeed@openoffice.org</email>
Comment 2 Ariel Constenla-Haile 2012-07-05 03:43:08 UTC
(In reply to comment #1)
> I grepped the source tree for other suscpious references to openoffice.org
> email addresees (outside of comments).  A few others to look at:
> 
> main/reportdesign/qa/complex/reportdesign/ReportDesignerTest.java:289:      
> m_sMailAddress = sVCSID + "@openoffice.org";

This is a QA test.
On the other hand, 
- m_sMailAddress is not used, the code is commented
- sVCSID stores the VCSID environment variable, something related to CWSs (the name of the CWS owner), and we don't use CWSs anymore.

This can be safely removed, left as is, or changed to a dummy mail address like somebody@test.com


> main/helpcontent2/source/text/shared/05/00000001.xhp:54:         <paragraph
> xml-lang="en-US" id="par_id0804200803314235" role="paragraph" l10n="NEW">In
> case you are concerned about any security issue with using this software,
> you can contact the developers on the public mail list dev@openoffice.org.
> If you want to discuss any issue with other users, send an email to the
> public mail list discuss@openoffice.org.</paragraph>

This is the current bug.
I'm against using mail addresses here (we will have to change them after graduation).
Also pointing to http://incubator.apache.org/openofficeorg/security.html is not a good idea, I'd prefer a link to a page in http://www.openoffice.org



> main/readlicense_oo/docs/readme/readme.xrm:269:			<p id="support1"
> xml:lang="en-US">The main support page <a
> href="http://support.openoffice.org/">http://support.openoffice.org/</a>
> offers various possibilities for help with ${PRODUCTNAME}. Your question may
> have already been answered - check the Community Forum at <a
> href="http://user.services.openoffice.org">http://user.services.openoffice.
> org</a> or search the archives of the 'users@openoffice.org' mailing list at
> <a href="http://www.openoffice.org/mail_list.html">http://www.openoffice.org/
> 
> mail_list.html</a>. Alternatively, you can send in your questions to <a
> href="mailto:users@openoffice.org">users@openoffice.org</a>. How to
> subscribe to the list (to get an email response) is explained on this page:
> <a
> href="http://wiki.services.openoffice.org/wiki/Website/Content/help/
> mailinglists">http://wiki.services.openoffice.org/wiki/Website/Content/help/
> mailinglists</a>.</p>


Here the reference to the mailing list address can be removed, it is a little redundant because the information is already in the link http://www.openoffice.org/mail_list.html


> 
> main/sw/source/core/draw/dcontact.cxx:1896:        ASSERT( false,
> "<SwDrawContact::ConnectToLayout(..)> - master drawing object not inserted
> -> no connect to layout. Please inform od@openoffice.org" );

IIRC od was Oliver-Rainer Wittmann
This text is only displayed on a NON-Product build 
http://wiki.services.openoffice.org/wiki/Non_Product_Build
so it's rather unlikely end-users will face this message.
"Please inform od@openoffice.org" can be safely removed.


> main/desktop/test/deployment/update/default_url/update/feed1.xml:30:   
> <email>updatefeed@openoffice.org</email>
> main/desktop/test/deployment/update/updatefeed/update/feed1.xml:30:   
> <email>updatefeed@openoffice.org</email>

Those are only tests. They can be left or changed to a dummy mail address
Comment 3 SVN Robot 2012-08-26 15:02:13 UTC
"arielch" committed SVN revision 1377447 into trunk:
#i120194# - Update "Getting Support" Help page
Comment 4 Ariel Constenla-Haile 2013-05-26 19:52:54 UTC
Should be fixed on trunk.
In case something is wrong, please reopen.